using AipGateway.API.Domain.Entities;
using AutoMapper;

namespace AipGateway.API.Configurations
{
    public class MappingProfile : Profile
    {
        public MappingProfile()
        {
            CreateMap<TbLinkedSystem, LinkedSystemDto>();
            CreateMap<LinkedSystemDto, TbLinkedSystem>();

            CreateMap<LinkedServerDto, TbLinkedServer>();
            CreateMap<TbLinkedServer, LinkedServerDto>();

            CreateMap<LinkedApiKeyDto, TbLinkedApiKey>();
            CreateMap<TbLinkedApiKey, LinkedApiKeyDto>();

            CreateMap<LinkedDecryptKeyDto, TbLinkedDecryptKey>();
            CreateMap<TbLinkedDecryptKey, LinkedDecryptKeyDto>();

        }
    }
}
